diff --git a/blocks/battery.sh b/blocks/battery.sh
index df98fc8..6106114 100755
--- a/blocks/battery.sh
+++ b/blocks/battery.sh
@@ -1,4 +1,4 @@
 #!/bin/sh
 ICON=""
 read -r capacity </sys/class/power_supply/BAT0/capacity
-printf "$ICON%s%%" "$capacity"
+printf "$ICON%s%%\n" "$capacity"
diff --git a/blocks/calendar.sh b/blocks/calendar.sh
index 72a0a5b..52f2106 100755
--- a/blocks/calendar.sh
+++ b/blocks/calendar.sh
@@ -1,3 +1,3 @@
 #!/bin/sh
 ICON=""
-printf "$ICON%s" "$(date '+%a, %b %d, %R')"
+printf "$ICON%s\n" "$(date '+%a, %b %d, %R')"
diff --git a/blocks/cpu_temp.sh b/blocks/cpu_temp.sh
index e660639..2af2b89 100755
--- a/blocks/cpu_temp.sh
+++ b/blocks/cpu_temp.sh
@@ -9,7 +9,7 @@ read -r temp </sys/class/thermal/thermal_zone0/temp
 temp=${temp%???}
 
 if [ "$temp" -lt "$crit" ] ; then
-    printf "$ICONn%s°C" "$temp"
+    printf "$ICONn%s°C\n" "$temp"
 else
-    printf "$ICONc%s°C" "$temp"
+    printf "$ICONc%s°C\n" "$temp"
 fi
